package sharin.doc.builder.xhtml1;

public class MapElem extends GenericI18nElem<MapElem> {

    public MapElem(Object... nodes) {
        super("map", nodes);
    }

    public MapElem clas(Object value) {
        return attr("clas", value);
    }

    public MapElem id(Object value) {
        return attr("id", value);
    }

    public MapElem name(Object value) {
        return attr("name", value);
    }

    public MapElem onclick(Object value) {
        return attr("onclick", value);
    }

    public MapElem ondblclick(Object value) {
        return attr("ondblclick", value);
    }

    public MapElem onkeydown(Object value) {
        return attr("onkeydown", value);
    }

    public MapElem onkeypress(Object value) {
        return attr("onkeypress", value);
    }

    public MapElem onkeyup(Object value) {
        return attr("onkeyup", value);
    }

    public MapElem onmousedown(Object value) {
        return attr("onmousedown", value);
    }

    public MapElem onmousemove(Object value) {
        return attr("onmousemove", value);
    }

    public MapElem onmouseout(Object value) {
        return attr("onmouseout", value);
    }

    public MapElem onmouseover(Object value) {
        return attr("onmouseover", value);
    }

    public MapElem onmouseup(Object value) {
        return attr("onmouseup", value);
    }

    public MapElem style(Object value) {
        return attr("style", value);
    }

    public MapElem title(Object value) {
        return attr("title", value);
    }
}
